% RA: respuestas-4.in
% ¿De quién es nieto Luis?
% Departamento de Ciencias de la Computación e Inteligencia Artificial
% Universidad de Sevilla
%==============================================================================


%==============================================================================
% Enunciado
%==============================================================================

%   Si sabemos que toda persona es hijo de su padre y que los hijos de los
% hijos son nietos entonces, si Luis es nieto de X, ¿quién es X?

%==============================================================================
% Formalización
%==============================================================================

set(ur_res).

formula_list(usable).
% Toda persona es hijo de su padre:
 all x exists y Hijo(x,y).

% Si x es hijo de y e y es hijo de z, entonces x es nieto de z:
 all x y z (Hijo(x,y) & Hijo(y,z) -> Nieto(x,z)).
end_of_list.

formula_list(sos).
% Si Luis es nieto de x, ¿quién es x?:
 all x (Nieto(Luis,x) -> $Ans(x)).
end_of_list.

%==============================================================================
